Subject: bug#4841: 23.1.50; tramp su/sudo makes vc-dir hang (found remote shell ...)

From: Michael Albinus <[email-masked]>
Date: Fri, 13 Nov 2009 22:21:06 +0100

Stefano Zacchiroli <[email-masked]> writes:

> With "emacs -Q" it works properly.
>
> As my main customization is using viper mode, I've also tried enabling
> it just after "emacs -Q" and bingo, it stops working. Looks like the bug
> is Viper-related :-(

Here I cannot help, I don't know that code. Just a short scanning shows,
there are a lot of defadvices, for example for `vc-diff'. This might
require more detailed analysis by somebody familar with viper.

> Cheers.

Best regards, Michael.